.editor {
    // Disable editor while sending request
    &.disable {
        opacity: 0.75;
        filter: blur(3px);

        pointer-events: none;

        transition: filter 250ms, opacity 250ms;
    }

    textarea {
        min-height: 300px;
        margin: 0 0 1rem 0;
    }

    // RTE functions
    .functions {
        .btn {
            padding: 0.1rem 0.4rem 0.1rem 0.4rem;

            font-size: 0.9rem;

            &.wrap-bold {
                font-weight: bold;
            }

            &.wrap-underline {
                text-decoration: underline;
            }

            &.wrap-italic {
                font-style: italic;
            }

            &.wrap-strike {
                text-decoration: line-through;
            }

            &.wrap-monospace {
                font-family: monospace;
            }
        }

        .smilies {
            .dropdown-menu {
                width: 20rem;
            }

            .smiley {
                display: flex;
                flex-direction: row;
                align-items: center;

                padding: 0 0.5rem 0 0.5rem;

                cursor: pointer;

                span {
                    display: inline-block;
                }

                .image {
                    width: 20%;

                    text-align: center;
                }

                .shortcut {
                    width: 30%;

                    text-align: center;
                }

                .description {
                    width: 50%;

                    white-space: pre-wrap;
                }
            }
        }
    }

    // Remember post message
    .remember-post-message {
        small {
            display: block;
            opacity: 0;

            transition: opacity 100ms;

            &:hover {
                opacity: 0.75 !important;
            }
        }

        .active {
            opacity: 1;
        }
    }

    // Emotes
    .emotes {
        .dropdown-menu.show {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: space-between;

            min-width: 40rem;
        }

        .dropdown-menu {
            .dropdown-item {
                display: inline-block;

                width: auto;
            }
        }

        .emote {
            cursor: pointer;

            img {
                max-width: 4rem;
            }
        }
    }
}

// Quick-reply
.quick-reply-button {
    opacity: 1;
    transition: opacity 250ms;

    &:hover {
        opacity: 0.65;
    }
}
